curl --request GET \
--url https://api.example.com/deposits \
--header 'ApiKey: <apikey>' \
--header 'Environment: <environment>' \
--header 'MerchantId: <merchantid>'import requests
url = "https://api.example.com/deposits"
headers = {
"ApiKey": "<apikey>",
"MerchantId": "<merchantid>",
"Environment": "<environment>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {ApiKey: '<apikey>', MerchantId: '<merchantid>', Environment: '<environment>'}
};
fetch('https://api.example.com/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"merchantId": "<string>",
"merchantAccountId": "<string>",
"matchingCode": "<string>",
"amount": 123,
"currency": "<string>",
"accountType": "collection",
"method": {
"type": "bank_transfer",
"hub2Iban": "FR7630006000011234567890189",
"country": "FR",
"provider": "ecobank"
},
"status": "created",
"statusDetails": "waiting_provider",
"mode": "live",
"fees": [
{}
],
"createdAt": "<string>",
"createdBy": "<string>",
"updatedAt": "<string>",
"merchantName": "<string>",
"description": "<string>",
"failureCause": {},
"nextAction": {},
"legalData": {
"proofDocuments": [
"<string>"
]
}
}
]{
"status": 400,
"error": {
"statusCode": 400,
"message": [
"destination.provider must be a string"
],
"error": "Bad Request"
}
}{
"status": 401,
"error": {
"type": "authorization_error",
"code": "wrong_credentials",
"message": "L'ID marchand et/ou la clé d'API sont incorrects."
}
}{
"status": 403,
"error": {
"statusCode": 403,
"message": "Forbidden",
"error": "<string>"
}
}{
"status": 429,
"error": "ThrottlerException: Too Many Requests"
}{
"type": "internal_error",
"code": [
"internal_error",
"wrong_credentials",
"not_granted",
"live_mode_not_granted"
],
"message": "An error occurred on our system. Please try again later."
}List deposits
This endpoint allows you to list deposits.
Headers
Your api key. To create a key, please get into our dashboard. If you don't have access to it, please reach the Support team.
Your merchant ID. This information is available in our dashboard. If you don't have access to it, please reach the Support team.
Allow you to choose between the sandbox mode to perform some tests or the live mode for real world transactions.
live, sandbox Query Parameters
Deprecated and ignored: deposits are always listed for the merchant making the call.
"876"
Filter by currency
"XOF"
Minimum deposit amount
1000
Maximum deposit amount
5000
Filter by provider name
"ecobank"
Filter by account type
collection, transfer, transfer-irt, cross-border Start date (ISO 8601)
"2024-01-01T00:00:00Z"
End date (ISO 8601)
"2024-12-31T23:59:59Z"
Filter by status
created, failed, pending, successful "failed"
Variable that will be use for ordering and filtering. Can be updatedAt or createdAt. default is updatedAt
"createdAt"
Only transactions matching the given matching code.
Deprecated and ignored: deposits are always listed in the environment (live or sandbox) of the API key making the call.
live, sandbox Response
Unique identifier for the deposit
Merchant identifier
Merchant account identifier
Reference to use for the bank transfer
Amount of the deposit
Currency of the deposit (ISO 4217 format)
Type of merchant account
collection, transfer, transfer-irt, delegated, cross-border Method used for the deposit
Show child attributes
Show child attributes
Status of the deposit
created, failed, pending, successful Status details of the deposit
waiting_provider, waiting_proof, unverified, verified, mismatch Application mode (e.g., live or sandbox)
live, sandbox List of fees associated with the deposit
Date and time when the deposit was created
User id or merchant id who created the deposit
Date and time when the deposit was last updated
Merchant display name
Description of the deposit
300Optional failure cause details
Next action required, if any
Legal data of the deposit
Show child attributes
Show child attributes
